OPNSENSE-SHELL(8)

NAME
opnsense-shell - OPNsense console menu

SYNOPSIS
opnsense-shell [-c script] [command]

DESCRIPTION
The opnsense-shell utility offers the administrator easy access to core functionality of the system. Said functionality only works for the root user, who is able to either run an interactive menu or directly pass a command.

The options are as follows:

-c  Execute a shell script in csh(1). This feature can be invoked by all users to allow compatibility with the rc(8) system.

EXIT STATUS

SEE ALSO
csh(1), opnsense-installer(8), rc(8)

HISTORY
The opnsense-shell utility first appeared in M0n0wall under the name rc.initial.

AUTHORS
Manuel Kasper <mk@neon1.net>